/*
 * Created on 2005. 5. 3.
 */
package net.javajigi.security.service;

import java.util.List;

import net.javajigi.security.dao.UserDAO;
import net.javajigi.security.model.User;

/**
 * @author ¹ÚÀç¼º
 */
public interface UserManager {
	public void setUserDAO(UserDAO userDAO);
	
    public void addUser(User newUser);
    
    public void updateUser(User newUser);
    
    public void removeUser(String userId);
    
    public User findUser(String userId);
    
    public List findUserList();    
}
